## scummvm-tools 2.6.0

=== Makefile ===
#######################################################################
# Default compilation parameters. Normally don't edit these           #
#######################################################################

srcdir      ?= .

DEFINES     := -DHAVE_CONFIG_H
LDFLAGS     :=
INCLUDES    := -I. -I$(srcdir)
LIBS        :=
OBJS        :=
DEPDIR      := .deps

MODULES     :=
MODULE_DIRS :=

STANDALONE  :=
# This one will go away once all tools are converted
NO_MAIN     := -DEXPORT_MAIN


# Load the make rules generated by configure
-include config.mk

ifeq "$(HAVE_GCC)" "1"
	CXXFLAGS:= -Wall $(CXXFLAGS)
	# Turn off some annoying and not-so-useful warnings
	CXXFLAGS+= -Wno-long-long -Wno-multichar -Wno-unknown-pragmas -Wno-reorder
	# Enable even more warnings...
	CXXFLAGS+= -Wpointer-arith -Wcast-qual
	CXXFLAGS+= -Wshadow -Wnon-virtual-dtor -Wwrite-strings

	# Currently we disable this gcc flag, since it will also warn in cases,
	# where using GCC_PRINTF (means: __attribute__((format(printf, x, y))))
	# is not possible, thus it would fail compiliation with -Werror without
	# being helpful.
	#CXXFLAGS+= -Wmissing-format-attribute

ifneq "$(HAVE_CLANG)" "1"
	# enable checking of pointers returned by "new", but only when we do not
	# build with clang
	CXXFLAGS+= -fcheck-new
endif
endif

ifeq "$(HAVE_CLANG)" "1"
	CXXFLAGS+= -Wno-conversion -Wno-shorten-64-to-32 -Wno-sign-compare -Wno-four-char-constants
endif

#######################################################################
# Default commands - put the necessary replacements in config.mk      #
#######################################################################

CAT     ?= cat
CP      ?= cp
ECHO    ?= printf
INSTALL ?= install
MKDIR   ?= mkdir -p
RM      ?= rm -f
RM_REC  ?= $(RM) -r
ZIP     ?= zip -q

#######################################################################

include $(srcdir)/Makefile.common

# check if configure has been run or has been changed since last run
config.h config.mk: $(srcdir)/configure
ifeq "$(findstring config.mk,$(MAKEFILE_LIST))" "config.mk"
	@echo "Running $(srcdir)/configure with the last specified parameters"
	@sleep 2
	LDFLAGS="$(SAVED_LDFLAGS)" CXX="$(SAVED_CXX)" \
			CXXFLAGS="$(SAVED_CXXFLAGS)" CPPFLAGS="$(SAVED_CPPFLAGS)" \
			ASFLAGS="$(SAVED_ASFLAGS)" WINDRESFLAGS="$(SAVED_WINDRESFLAGS)" \
			$(srcdir)/configure $(SAVED_CONFIGFLAGS)
else
	$(error You need to run $(srcdir)/configure before you can run make. Check $(srcdir)/configure --help for a list of parameters)
endif


#
# Windows specific
#

scummvmtoolswinres.o: $(srcdir)/gui/media/scummvmtools.ico $(srcdir)/dists/scummvmtools.rc
	$(QUIET_WINDRES)$(WINDRES) -DHAVE_CONFIG_H $(WINDRESFLAGS) $(DEFINES) -I. -I$(srcdir) $(srcdir)/dists/scummvmtools.rc scummvmtoolswinres.o

# Special target to create a win32 tools snapshot binary
WIN32PATH ?= build
win32dist:   all
	mkdir -p $(WIN32PATH)/graphics
	mkdir -p $(WIN32PATH)/tools/media
	cp $(srcdir)/gui/media/detaillogo.jpg $(WIN32PATH)/tools/media/
	cp $(srcdir)/gui/media/logo.jpg $(WIN32PATH)/tools/media/
	cp $(srcdir)/gui/media/tile.gif $(WIN32PATH)/tools/media/
	$(STRIP) construct_mohawk$(EXEEXT) -o $(WIN32PATH)/tools/construct_mohawk$(EXEEXT)
ifeq "$(USE_FREETYPE2)" "1"
ifeq "$(USE_ICONV)" "1"
	$(STRIP) create_sjisfnt$(EXEEXT) -o $(WIN32PATH)/tools/create_sjisfnt$(EXEEXT)
endif
endif
	$(STRIP) decine$(EXEEXT) -o $(WIN32PATH)/tools/decine$(EXEEXT)
ifeq "$(USE_BOOST)" "1"
	$(STRIP) decompile$(EXEEXT) -o $(WIN32PATH)/tools/decompile$(EXEEXT)
endif
	$(STRIP) degob$(EXEEXT) -o $(WIN32PATH)/tools/degob$(EXEEXT)
	$(STRIP) dekyra$(EXEEXT) -o $(WIN32PATH)/tools/dekyra$(EXEEXT)
	$(STRIP) deprince$(EXEEXT) -o $(WIN32PATH)/tools/deprince$(EXEEXT)
	$(STRIP) descumm$(EXEEXT) -o $(WIN32PATH)/tools/descumm$(EXEEXT)
	$(STRIP) desword2$(EXEEXT) -o $(WIN32PATH)/tools/desword2$(EXEEXT)
	$(STRIP) extract_mohawk$(EXEEXT) -o $(WIN32PATH)/tools/extract_mohawk$(EXEEXT)
	$(STRIP) gob_loadcalc$(EXEEXT) -o $(WIN32PATH)/tools/gob_loadcalc$(EXEEXT)
	$(STRIP) grim_animb2txt$(EXEEXT) -o $(WIN32PATH)/tools/grim_animb2txt$(EXEEXT)
	$(STRIP) grim_cosb2cos$(EXEEXT) -o $(WIN32PATH)/tools/grim_cosb2cos$(EXEEXT)
	$(STRIP) grim_diffr$(EXEEXT) -o $(WIN32PATH)/tools/grim_diffr$(EXEEXT)
	$(STRIP) grim_int2flt$(EXEEXT) -o $(WIN32PATH)/tools/grim_int2flt$(EXEEXT)
	$(STRIP) grim_meshb2obj$(EXEEXT) -o $(WIN32PATH)/tools/grim_meshb2obj$(EXEEXT)
	$(STRIP) grim_patchex$(EXEEXT) -o $(WIN32PATH)/tools/grim_patchex$(EXEEXT)
	$(STRIP) grim_set2fig$(EXEEXT) -o $(WIN32PATH)/tools/grim_set2fig$(EXEEXT)
	$(STRIP) grim_sklb2txt$(EXEEXT) -o $(WIN32PATH)/tools/grim_sklb2txt$(EXEEXT)
	$(STRIP) grim_unlab$(EXEEXT) -o $(WIN32PATH)/tools/grim_unlab$(EXEEXT)
	$(STRIP) grim_bm2bmp$(EXEEXT) -o $(WIN32PATH)/tools/grim_bm2bmp$(EXEEXT)
	$(STRIP) grim_delua$(EXEEXT) -o $(WIN32PATH)/tools/grim_delua$(EXEEXT)
	$(STRIP) grim_imc2wav$(EXEEXT) -o $(WIN32PATH)/tools/grim_imc2wav$(EXEEXT)
	$(STRIP) grim_luac$(EXEEXT) -o $(WIN32PATH)/tools/grim_luac$(EXEEXT)
	$(STRIP) grim_mklab$(EXEEXT) -o $(WIN32PATH)/tools/grim_mklab$(EXEEXT)
	$(STRIP) grim_patchr$(EXEEXT) -o $(WIN32PATH)/tools/grim_patchr$(EXEEXT)
	$(STRIP) grim_setb2set$(EXEEXT) -o $(WIN32PATH)/tools/grim_setb2set$(EXEEXT)
	$(STRIP) grim_til2bmp$(EXEEXT) -o $(WIN32PATH)/tools/grim_til2bmp$(EXEEXT)
	$(STRIP) grim_vima$(EXEEXT) -o $(WIN32PATH)/tools/grim_vima$(EXEEXT)
ifeq "$(USE_WXWIDGETS)" "1"
	$(STRIP) scummvm-tools$(EXEEXT) -o $(WIN32PATH)/tools/scummvm-tools$(EXEEXT)
endif
	$(STRIP) scummvm-tools-cli$(EXEEXT) -o $(WIN32PATH)/tools/scummvm-tools-cli$(EXEEXT)
	cp $(srcdir)/*.bat $(WIN32PATH)/tools
	cp $(srcdir)/COPYING $(WIN32PATH)/tools/COPYING.txt
	cp $(srcdir)/COPYING.BSD2 $(WIN32PATH)/tools/COPYING_BSD2.txt
	cp $(srcdir)/COPYING.LUA $(WIN32PATH)/tools/COPYING_LUA.txt
	cp $(srcdir)/README $(WIN32PATH)/tools/README.txt
	cp $(srcdir)/NEWS $(WIN32PATH)/tools/NEWS.txt
	cp $(srcdir)/dists/win32/graphics/left.bmp $(WIN32PATH)/graphics
	cp $(srcdir)/dists/win32/graphics/scummvm-install.ico $(WIN32PATH)/graphics
	cp $(srcdir)/dists/win32/ScummVM?Tools.iss $(WIN32PATH)
	unix2dos $(WIN32PATH)/tools/*.txt

# Special target to create a win32 NSIS installer
WIN32BUILD=build
win32setup: all
	mkdir -p $(srcdir)/$(WIN32BUILD)
	cp $(srcdir)/COPYING          $(srcdir)/$(WIN32BUILD)
	cp $(srcdir)/COPYING.BSD2     $(srcdir)/$(WIN32BUILD)
	cp $(srcdir)/COPYING.LUA      $(srcdir)/$(WIN32BUILD)
	cp $(srcdir)/NEWS             $(srcdir)/$(WIN32BUILD)
	cp $(srcdir)/README           $(srcdir)/$(WIN32BUILD)
	unix2dos $(srcdir)/$(WIN32BUILD)/*.*
	$(STRIP) construct_mohawk$(EXEEXT)   -o $(srcdir)/$(WIN32BUILD)/construct_mohawk$(EXEEXT)
ifeq "$(USE_FREETYPE2)" "1"
ifeq "$(USE_ICONV)" "1"
	$(STRIP) create_sjisfnt$(EXEEXT)     -o $(srcdir)/$(WIN32BUILD)/create_sjisfnt$(EXEEXT)
endif
endif
	$(STRIP) decine$(EXEEXT)             -o $(srcdir)/$(WIN32BUILD)/decine$(EXEEXT)
ifeq "$(USE_BOOST)" "1"
	$(STRIP) decompile$(EXEEXT)          -o $(srcdir)/$(WIN32BUILD)/decompile$(EXEEXT)
endif
	$(STRIP) degob$(EXEEXT)              -o $(srcdir)/$(WIN32BUILD)/degob$(EXEEXT)
	$(STRIP) dekyra$(EXEEXT)             -o $(srcdir)/$(WIN32BUILD)/dekyra$(EXEEXT)
	$(STRIP) deprince$(EXEEXT)           -o $(srcdir)/$(WIN32BUILD)/deprince$(EXEEXT)
	$(STRIP) descumm$(EXEEXT)            -o $(srcdir)/$(WIN32BUILD)/descumm$(EXEEXT)
	$(STRIP) desword2$(EXEEXT)           -o $(srcdir)/$(WIN32BUILD)/desword2$(EXEEXT)
	$(STRIP) extract_hadesch$(EXEEXT)    -o $(srcdir)/$(WIN32BUILD)/extract_hadesch$(EXEEXT)
	$(STRIP) extract_lokalizator$(EXEEXT)    -o $(srcdir)/$(WIN32BUILD)/extract_lokalizator$(EXEEXT)
	$(STRIP) extract_mohawk$(EXEEXT)     -o $(srcdir)/$(WIN32BUILD)/extract_mohawk$(EXEEXT)
	$(STRIP) extract_ngi$(EXEEXT)        -o $(srcdir)/$(WIN32BUILD)/extract_ngi$(EXEEXT)
	$(STRIP) gob_loadcalc$(EXEEXT)       -o $(srcdir)/$(WIN32BUILD)/gob_loadcalc$(EXEEXT)
	$(STRIP) grim_animb2txt$(EXEEXT)     -o $(srcdir)/$(WIN32BUILD)/tools/grim_animb2txt$(EXEEXT)
	$(STRIP) grim_cosb2cos$(EXEEXT)      -o $(srcdir)/$(WIN32BUILD)/tools/grim_cosb2cos$(EXEEXT)
	$(STRIP) grim_diffr$(EXEEXT)         -o $(srcdir)/$(WIN32BUILD)/tools/grim_diffr$(EXEEXT)
	$(STRIP) grim_int2flt$(EXEEXT)       -o $(srcdir)/$(WIN32BUILD)/tools/grim_int2flt$(EXEEXT)
	$(STRIP) grim_meshb2obj$(EXEEXT)     -o $(srcdir)/$(WIN32BUILD)/tools/grim_meshb2obj$(EXEEXT)
	$(STRIP) grim_patchex$(EXEEXT)       -o $(srcdir)/$(WIN32BUILD)/tools/grim_patchex$(EXEEXT)
	$(STRIP) grim_set2fig$(EXEEXT)       -o $(srcdir)/$(WIN32BUILD)/tools/grim_set2fig$(EXEEXT)
	$(STRIP) grim_sklb2txt$(EXEEXT)      -o $(srcdir)/$(WIN32BUILD)/tools/grim_sklb2txt$(EXEEXT)
	$(STRIP) grim_unlab$(EXEEXT)         -o $(srcdir)/$(WIN32BUILD)/tools/grim_unlab$(EXEEXT)
	$(STRIP) grim_bm2bmp$(EXEEXT)        -o $(srcdir)/$(WIN32BUILD)/tools/grim_bm2bmp$(EXEEXT)
	$(STRIP) grim_delua$(EXEEXT)         -o $(srcdir)/$(WIN32BUILD)/tools/grim_delua$(EXEEXT)
	$(STRIP) grim_imc2wav$(EXEEXT)       -o $(srcdir)/$(WIN32BUILD)/tools/grim_imc2wav$(EXEEXT)
	$(STRIP) grim_luac$(EXEEXT)          -o $(srcdir)/$(WIN32BUILD)/tools/grim_luac$(EXEEXT)
	$(STRIP) grim_mklab$(EXEEXT)         -o $(srcdir)/$(WIN32BUILD)/tools/grim_mklab$(EXEEXT)
	$(STRIP) grim_patchr$(EXEEXT)        -o $(srcdir)/$(WIN32BUILD)/tools/grim_patchr$(EXEEXT)
	$(STRIP) grim_setb2set$(EXEEXT)      -o $(srcdir)/$(WIN32BUILD)/tools/grim_setb2set$(EXEEXT)
	$(STRIP) grim_til2bmp$(EXEEXT)       -o $(srcdir)/$(WIN32BUILD)/tools/grim_til2bmp$(EXEEXT)
	$(STRIP) grim_vima$(EXEEXT)          -o $(srcdir)/$(WIN32BUILD)/tools/grim_vima$(EXEEXT)
ifeq "$(USE_WXWIDGETS)" "1"
	$(STRIP) scummvm-tools$(EXEEXT)      -o $(srcdir)/$(WIN32BUILD)/scummvm-tools$(EXEEXT)
endif
	$(STRIP) scummvm-tools-cli$(EXEEXT)  -o $(srcdir)/$(WIN32BUILD)/scummvm-tools-cli$(EXEEXT)
	makensis -V2 -Dtop_srcdir="../.." -Dtext_dir="../../$(WIN32BUILD)" -Dbuild_dir="../../$(WIN32BUILD)" $(srcdir)/dists/win32/scummvm-tools.nsi


#
# OS X specific
#

ifdef USE_VORBIS
OSX_STATIC_LIBS += $(STATICLIBPATH)/lib/libvorbisfile.a $(STATICLIBPATH)/lib/libvorbis.a $(STATICLIBPATH)/lib/libvorbisenc.a $(STATICLIBPATH)/lib/libogg.a
endif

ifdef USE_FLAC
OSX_STATIC_LIBS += $(STATICLIBPATH)/lib/libFLAC.a
endif

ifdef USE_MAD
OSX_STATIC_LIBS += $(STATICLIBPATH)/lib/libmad.a
endif

ifdef USE_PNG
OSX_STATIC_LIBS += $(STATICLIBPATH)/lib/libpng.a
endif

ifdef USE_ZLIB
OSX_STATIC_LIBS += $(STATICLIBPATH)/lib/libz.a
endif


# Special target to create a static linked binaries for Mac OS X.
scummvm-tools-static: $(scummvm-tools_OBJS)
	$(CXX) $(LDFLAGS) -o scummvm-tools-static $(scummvm-tools_OBJS) \
		-framework AudioUnit -framework AudioToolbox -framework Carbon -framework CoreMIDI \
		$(WXSTATICLIBS) $(OSX_STATIC_LIBS)

scummvm-tools-cli-static: $(scummvm-tools-cli_OBJS)
	$(CXX) $(LDFLAGS) -o scummvm-tools-cli-static $(scummvm-tools-cli_OBJS) \
		-framework AudioUnit -framework AudioToolbox -framework Carbon -framework CoreMIDI \
		$(OSX_STATIC_LIBS)

bundle_name = ScummVM\ Tools.app
bundle: scummvm-tools-static
	mkdir -p $(bundle_name)
	mkdir -p $(bundle_name)/Contents
	mkdir -p $(bundle_name)/Contents/MacOS
	mkdir -p $(bundle_name)/Contents/Resources
	echo "APPL????" > $(bundle_name)/Contents/PkgInfo
	cp $(srcdir)/dists/macosx/Info.plist $(bundle_name)/Contents/
	cp $(srcdir)/gui/media/*.* $(bundle_name)/Contents/Resources
	cp scummvm-tools-static $(bundle_name)/Contents/MacOS/scummvm-tools

# Special target to create a snapshot disk image for Mac OS X
osxsnap: bundle scummvm-tools-cli-static
	mkdir ScummVM-Tools-snapshot
	cp $(srcdir)/COPYING ./ScummVM-Tools-snapshot/License\ \(GPL\)
	cp $(srcdir)/COPYING.BSD2 ./ScummVM-Tools-snapshot/License\ \(BSD2\)
	cp $(srcdir)/COPYING.LUA ./ScummVM-Tools-snapshot/License\ \(LUA\)
	cp $(srcdir)/NEWS ./ScummVM-Tools-snapshot/News
	cp $(srcdir)/README ./ScummVM-Tools-snapshot/ScummVM\ ReadMe
	$(XCODETOOLSPATH)/SetFile -t ttro -c ttxt ./ScummVM-Tools-snapshot/*
	$(XCODETOOLSPATH)/CpMac -r $(bundle_name) ./ScummVM-Tools-snapshot/
	cp scummvm-tools-cli-static ./ScummVM-Tools-snapshot/scummvm-tools-cli

=== debian/changelog ===
scummvm-tools (2.6.0-2build1) lunar; urgency=medium

  * No-change rebuild against libflac++10 & libflac12.

 -- Rik Mills <rikmills@kde.org>  Mon, 28 Nov 2022 16:29:31 +0000

scummvm-tools (2.6.0-2) unstable; urgency=medium

  * Switch to wxwidgets3.2. Closes: #1019793.

 -- Stephen Kitt <skitt@debian.org>  Fri, 16 Sep 2022 14:18:00 +0200

scummvm-tools (2.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.6.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 07 Aug 2022 18:02:06 +0200

=== debian/control ===
Source: scummvm-tools
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Stephen Kitt <skitt@debian.org>
Section: games
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libboost-program-options-dev,
               libflac-dev,
               libfreetype6-dev,
               libmad0-dev,
               libpng-dev,
               libvorbis-dev,
               libwxgtk3.2-dev,
               pkg-config,
               zlib1g-dev
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/games-team/scummvm-tools
Vcs-Git: https://salsa.debian.org/games-team/scummvm-tools.git
Homepage: http://wiki.scummvm.org/index.php/User_Manual/Appendix:_Tools
Rules-Requires-Root: no

Package: scummvm-tools
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: collection of tools for ScummVM
 This package contains various tools which may be useful in
 conjunction with ScummVM.
 .
 The tools include:
  * compression tools to re-compress ScummVM games' assets;
  * extraction tools, either to extract resources from game assets, or
    to convert assets from one format to another (e.g. PC Engine or
    Macintosh releases);
  * game script analysis tools.
 .
 A GUI is provided alongside the command-line tools.

## scummvm-tools 2.7.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.19)
project(scummvm-tools CXX)
include(CheckCXXCompilerFlag)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

if (WIN32)
	add_definitions(-DWIN32)
else()
	add_definitions(-DPOSIX)
endif()

find_package(SDL REQUIRED)

function(add_tool NAME)
    add_executable(${NAME} ${ARGN})
    target_include_directories(${NAME} PUBLIC .)
    target_link_libraries(${NAME} SDL::SDL)
endfunction()

set(COMMON_SRC
    common/file.cpp
    common/hashmap.cpp
    common/md5.cpp
    common/memorypool.cpp
    common/str.cpp
    common/stream.cpp
    common/util.cpp
    sound/adpcm.cpp
    sound/audiostream.cpp
    sound/voc.cpp
    sound/wave.cpp
)

set(DETWINE_SRC
    ${COMMON_SRC}
    engines/twine/detwine.cpp
    engines/twine/lba1.cpp
    engines/twine/lba2.cpp
    engines/twine/hqr.cpp
)
add_tool(detwine ${DETWINE_SRC})

=== debian/changelog ===
scummvm-tools (2.7.0-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:59:45 +1100

scummvm-tools (2.7.0-1build3) noble; urgency=medium

  * No-change rebuild against libflac12t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 14:59:46 +0000

scummvm-tools (2.7.0-1build2) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 08:13:05 +0000

scummvm-tools (2.7.0-1build1) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 15:55:46 +0100

scummvm-tools (2.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Tue, 28 Feb 2023 20:55:11 +0100

scummvm-tools (2.6.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.

  [ Stephen Kitt ]
  * Build-depend on libfreetype-dev instead of libfreetype6-dev.
  * Standards-Version 4.6.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 25 Jan 2023 09:00:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: scummvm-tools
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Stephen Kitt <skitt@debian.org>
 Section: games
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libboost-program-options-dev,
                libflac-dev,
-               libfreetype6-dev,
+               libfreetype-dev,
                libmad0-dev,
                libpng-dev,
                libvorbis-dev,
                libwxgtk3.2-dev,
                pkg-config,
                zlib1g-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/games-team/scummvm-tools
 Vcs-Git: https://salsa.debian.org/games-team/scummvm-tools.git
 Homepage: http://wiki.scummvm.org/index.php/User_Manual/Appendix:_Tools

## scummvm-tools 2.9.0

=== Makefile ===
--- 
+++ 
@@ -108,6 +108,7 @@
 	$(STRIP) deprince$(EXEEXT) -o $(WIN32PATH)/tools/deprince$(EXEEXT)
 	$(STRIP) descumm$(EXEEXT) -o $(WIN32PATH)/tools/descumm$(EXEEXT)
 	$(STRIP) desword2$(EXEEXT) -o $(WIN32PATH)/tools/desword2$(EXEEXT)
+	$(STRIP) detwine$(EXEEXT) -o $(WIN32PATH)/tools/detwine$(EXEEXT)
 	$(STRIP) extract_mohawk$(EXEEXT) -o $(WIN32PATH)/tools/extract_mohawk$(EXEEXT)
 	$(STRIP) gob_loadcalc$(EXEEXT) -o $(WIN32PATH)/tools/gob_loadcalc$(EXEEXT)
 	$(STRIP) grim_animb2txt$(EXEEXT) -o $(WIN32PATH)/tools/grim_animb2txt$(EXEEXT)
@@ -168,6 +169,7 @@
 	$(STRIP) deprince$(EXEEXT)           -o $(srcdir)/$(WIN32BUILD)/deprince$(EXEEXT)
 	$(STRIP) descumm$(EXEEXT)            -o $(srcdir)/$(WIN32BUILD)/descumm$(EXEEXT)
 	$(STRIP) desword2$(EXEEXT)           -o $(srcdir)/$(WIN32BUILD)/desword2$(EXEEXT)
+	$(STRIP) detwine$(EXEEXT)            -o $(srcdir)/$(WIN32BUILD)/detwine$(EXEEXT)
 	$(STRIP) extract_hadesch$(EXEEXT)    -o $(srcdir)/$(WIN32BUILD)/extract_hadesch$(EXEEXT)
 	$(STRIP) extract_lokalizator$(EXEEXT)    -o $(srcdir)/$(WIN32BUILD)/extract_lokalizator$(EXEEXT)
 	$(STRIP) extract_mohawk$(EXEEXT)     -o $(srcdir)/$(WIN32BUILD)/extract_mohawk$(EXEEXT)
@@ -254,5 +256,3 @@
 	cp $(srcdir)/NEWS ./ScummVM-Tools-snapshot/News
 	cp $(srcdir)/README ./ScummVM-Tools-snapshot/ScummVM\ ReadMe
 	$(XCODETOOLSPATH)/SetFile -t ttro -c ttxt ./ScummVM-Tools-snapshot/*
-	$(XCODETOOLSPATH)/CpMac -r $(bundle_name) ./ScummVM-Tools-snapshot/
-	cp scummvm-tools-cli-static ./ScummVM-Tools-snapshot/scummvm-tools-cli

=== decompiler/doc/Makefile ===
latexcmd=pdflatex
document=doc
dvi2ps=dvips
ps2pdf=ps2pdf
index=makeindex
RM=rm -f

cleanfiles= *.toc *.dvi *.log *.aux *.bbl *.swp *.ent *.out Thumbs.db *.ps *.blg *.lox *.lol *.idx *.ind *.ilg

all:
	-$(RM) $(cleanfiles)
	$(latexcmd) $(document)
	$(index) $(document)
	$(latexcmd) $(document)
	$(latexcmd) $(document)
	-$(RM) $(cleanfiles)

=== debian/changelog ===
scummvm-tools (2.9.0-1build3) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:08:46 +0200

scummvm-tools (2.9.0-1build2) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 16:58:21 +0200

scummvm-tools (2.9.0-1build1) plucky; urgency=medium

  * No-change rebuild for flac.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 14 Mar 2025 22:39:21 -0500

scummvm-tools (2.9.0-1) unstable; urgency=medium

  [ Stephen Kitt ]
  * New upstream release.
  * Point to the new homepage.
  * Standards-Version 4.7.0, no change required.

  [ Alexandre Detiste ]
  * Build-depend on pkgconf instead of pkg-config.

 -- Stephen Kitt <skitt@debian.org>  Fri, 17 Jan 2025 08:59:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: scummvm-tools
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Stephen Kitt <skitt@debian.org>
 Section: games
 Priority: optional
@@ -12,12 +11,12 @@
                libpng-dev,
                libvorbis-dev,
                libwxgtk3.2-dev,
-               pkg-config,
+               pkgconf,
                zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/games-team/scummvm-tools
 Vcs-Git: https://salsa.debian.org/games-team/scummvm-tools.git
-Homepage: http://wiki.scummvm.org/index.php/User_Manual/Appendix:_Tools
+Homepage: https://wiki.scummvm.org/index.php?title=ScummVM_Tools
 Rules-Requires-Root: no
 
 Package: scummvm-tools

=== debian/watch ===
version=4
# s/-/~/ excludes e.g. -win32.zip
opts="dirversionmangle=s/rc/~rc/;s/b/~b/, \
      uversionmangle=s/rc/~rc/;s/b/~b/;s/-/~/" \
  https://www.scummvm.org/downloads/ \
  .*/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
